# Uses of Interface
org.jboss.modules.ResourceLoader

Packages that use ResourceLoader
Package
Description
org.jboss.modules
The primary JBoss Modules API.
org.jboss.modules.maven
org.jboss.modules.xml

## Uses of ResourceLoader in org.jboss.modules

Subinterfaces of ResourceLoader in org.jboss.modules
Modifier and Type
Interface
Description
`interface`
`IterableResourceLoader`
A resource loader which has the ability to enumerate its contents.
Classes in org.jboss.modules that implement ResourceLoader
Modifier and Type
Class
Description
`class`
`AbstractResourceLoader`
An abstract resource loader implementation.
`class`
`NativeLibraryResourceLoader`
A base class for resource loaders which can load native libraries.
Methods in org.jboss.modules that return ResourceLoader
Modifier and Type
Method
Description
`static ResourceLoader`
ResourceLoaders.`createFileResourceLoader$$bridge(String name, File root)`
Deprecated.
`static ResourceLoader`
ResourceLoaders.`createFilteredResourceLoader(PathFilter pathFilter, ResourceLoader originalLoader)`
Create a filtered view of a resource loader, which allows classes to be included or excluded on a name basis.
`static ResourceLoader`
ResourceLoaders.`createJarResourceLoader$$bridge(String name, JarFile jarFile)`
Deprecated.
`static ResourceLoader`
ResourceLoaders.`createServiceResourceLoader(Map<String,List<String>> serviceMap)`
Create a service resource loader.
`default ResourceLoader`
ResourceLoader.`createSubloader(String relativePath, String rootName)`
Create a loader which loads resources under a relative subdirectory relative to this loader.
Methods in org.jboss.modules with parameters of type ResourceLoader
Modifier and Type
Method
Description
`static ResourceLoader`
ResourceLoaders.`createFilteredResourceLoader(PathFilter pathFilter, ResourceLoader originalLoader)`
Create a filtered view of a resource loader, which allows classes to be included or excluded on a name basis.
`static ResourceLoaderSpec`
ResourceLoaderSpec.`createResourceLoaderSpec(ResourceLoader resourceLoader)`
Construct a new instance which accepts all paths in the resource loader.
`static ResourceLoaderSpec`
ResourceLoaderSpec.`createResourceLoaderSpec(ResourceLoader resourceLoader, PathFilter pathFilter)`
Construct a new instance.
`static Version`
VersionDetection.`detectVersion(ResourceLoader resourceLoader)`
Attempt to guess the version of a resource loader.
Constructors in org.jboss.modules with parameters of type ResourceLoader
Modifier
Constructor
Description
``
`ResourceLoaderModuleFinder(ResourceLoader resourceLoader)`
Construct a new instance.
``
`ResourceLoaderModuleFinder(ResourceLoader resourceLoader, String modulesDirectory)`
Construct a new instance.

## Uses of ResourceLoader in org.jboss.modules.maven

Methods in org.jboss.modules.maven that return ResourceLoader
Modifier and Type
Method
Description
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(String name)`
A utility method to create a Maven artifact resource loader for the given artifact name.
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(MavenResolver mavenResolver, String name)`
A utility method to create a Maven artifact resource loader for the given artifact name.
`static ResourceLoader`
MavenArtifactUtil.`createMavenArtifactLoader(MavenResolver mavenResolver, ArtifactCoordinates coordinates, String rootName)`
A utility method to create a Maven artifact resource loader for the given artifact coordinates.

## Uses of ResourceLoader in org.jboss.modules.xml

Methods in org.jboss.modules.xml that return ResourceLoader
Modifier and Type
Method
Description
`ResourceLoader`
ModuleXmlParser.ResourceRootFactory.`createResourceLoader(String rootPath, String loaderPath, String loaderName)`